# Change log 
This file list all noticeable changes to the MCS Toolbox for
Matlab. The keyword CHANGED (for added and changed features), FIXED,
and REMOVED are used.


## 1.0 alpha 2 - Unreleased (2018-04-19)
- New implementation of Guptri for matrices.
- Added gallery function `mggallery` with a set of matrix examples.
- Merged all changes released in 0.6 into 1.0 alpha.

## 1.0 alpha - Unreleased (2017-08-24)
### CHANGED
- New implementation of Guptri for matrix pencils.
- Added gallery function `pggallery` with a set of matrix pencil
  examples.
- Added hierarchical clustering of (generalized) eigenvalues of
  matrices and square matrix pencils.

## 0.7 - 2019-09-13
### CHANGED
- Tol and Gap are now optional arguments to pguptri.
- Updated copyright notice and added copyright in all source files.

### FIXED
- Error from imposed zero elements in the regular part is now included in the
  error estimate returned by pguptri.
- Fixed spelling of Gershgorin (previous spelled Gerschgorin)

## 0.7 beta - 2019-06-27
### CHANGED
- Added routines for computing the Guptri staircase form for matrix 
  pencils.
- Added gallery function `pggallery` with a set of matrix pencil
  examples.
- Added hierarchical clustering of (generalized) eigenvalues of
  matrix pencils.
  
### FIXED
- Bug fixes in the guptri routines.
- Reordering of regular blocks in the Guptri form is now done using 
  lapack ZTGSYL.

## 0.6 - 2018-04-19
### CHANGED
- Added structure object for matrix polynomials (`mpstruct`).
- Added `compare` method for canonical structures and blocks.
- Renamed function `mcsdisplay` to `mcsformat` to match Matlab's
  `format` command. `mcsformat` can now also be called as a command
  (similar to Matlab's `format`)
- Added the option *SEGREC* to `mcsformat`, which is a compact variant
  of the segre format.
- Renamed method `getavailableblocks` in all struct classes to
  `getvalidblocks`. The new method only returns the valid canonical
  blocks for the object. Added new function `mcsgetvalidblocks` to
  list all valid canonical blocks for any struct class.
- Added *semibundle* option in codim methods for computing the
  codimension. A semibundle takes the specified eigenvalues into
  account when computing the codimension.
- Unspecified eigenvalues in a canonical structure object is now
  displayed as 'e1', 'e2', etc. to distinguish between different
  unspecified eigenvalues.
- Major revision of help texts for all canonical structures and blocks.

### FIXED
- Updated the Matlab interface to be compatible with StratiGraph 4.0.
- Several minor bugs.

## 0.5 - 2016-02-10
### CHANGED
- The complete toolbox is reimplemented in object Matlab.
- Added support for state-space systems.
- Added support for (skew-)symmetric matrix pencils under congruence.
- Added support for matrices under congruence and *congruence.
- Added Congruence canonical form (generated from the canonical
  information).
- Added Brunovsky canonical form (generated from the canonical
  information).
- Many methods are revised and renamed.

### FIXED
- Updated the StratiGraph interface to support the new canonical
  structures and StratiGraph 3.1 together with the SG Matlab plug-in.

### REMOVED
- Support for Matlab 2007b and earlier.

## [0.4] - Unreleased
- See version 0.5 for all changes.

## [0.3] - Unreleased
- Original implementation.
- Support for matrices and matrix pencils.
- Support for StratiGraph 2.1 together with the SG Matlab
  plug-in.
