function [R,Q] = rq(A)
%RQ Orthogonal-triangular RQ-factorization. 
%   [R,Q] = RQ(A) produces an upper triangular matrix R of the same
%   dimension as A and a unitary matrix Q so that A = R*Q.
%  
%   See also QR.

% This file is part of the Matrix Canonical Structure (MCS) Toolbox for Matlab.
% MCS Toolbox is a freely-available software package licensed under the modified
% BSD license.

% Created by Lars Karlsson

%evaluating arguments
narginchk(1,1);
nargoutchk(0,2);

[Q,R] = qr(fliplr(A'));
R = rot90(R',2);
Q = flipud(Q');

   
   
   
   
   
   
   
   
