function segre = sizes2segre(sizes)
%SIZES2SEGRE Segre characteristics from block sizes.
%   SIZESE2SEGRE(Sizes) converts an array with the block sizes to an array
%   with their sizes represented in Segre characteristics, i.e., the block
%   sizes sorted in a non-increasing order.
%
%   See also WEYR2SIZES, WEYR2SEGRE, SEGRE2WEYR, SIZES2WEYR.  

% This file is part of the Matrix Canonical Structure (MCS) Toolbox for Matlab.
% MCS Toolbox is a freely-available software package licensed under the modified
% BSD license.

narginchk(1,1);
nargoutchk(0,1);
if iscell(sizes) && length(sizes) == 1
  sizes = sizes{1};
end
if ~isvector(sizes)
  error('MCS:sizes2segre','SIZES must be a vector.');
end

segre = sort(sizes,'descend');
